<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

$sortId = 1;
$toolId = 0;

$settingsArray = array();

$setting = new Setting();
$setting->name = 'vhsEmailTool0Section5';
$setting->description = 'Ziel-E-Mail-Adresse für Login-Anforderungen';
$setting->help = 'Ist das Feld leer, wird die Nachricht an die E-Mail-Adresse gesendet,'
  . ' die unter <a href="?action=settings&hardlink=file_system_schulungseinrichtung">Einstellungen / System / Daten der Einrichtung / Ziel für E-Mails aus den KuferTools an die Schulungseinrichtung</a> angegeben ist.';
$setting->subGroup = 'Formular zur Anforderung eines neuen Logins:';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_TEXTNORMAL);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'telefonnummerBeiLoginAnforderung';
$setting->description = 'Telefonnummer bei der Login-Anforderung anzeigen';
$setting->help = '<p><b>keine:</b> keine Telefonnummer anzeigen.</p><p><b>als Pflichtfeld:</b> Telefonnummer als Pflichtfeld anzeigen.'
  . '</p><p><b>nicht als Pflichtfeld: </b> Telefonnummer anzeigen, aber nicht als Pflichtfeld.</p>';
$setting->subGroup = 'Formular zur Anforderung eines neuen Logins:';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(0 => 'keine', 1 => 'als Pflichtfeld', 2 => 'nicht als Pflichtfeld');
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'blockLoginAnf';
$setting->description = 'Benutzergruppen für die Login-Anforderung ausblenden';
$setting->help = 'Hier können Sie auswählen, welche KuferTools-Benutzergruppen bei der Login-Anforderung nicht angezeigt werden sollen. '
  . 'Ist eine Option unter <b>Logins automatisch erstellen</b> ausgewählt, wird diese Einstellung nicht berücksichtigt.';
$setting->subGroup = 'Formular zur Anforderung eines neuen Logins:';
$setting->toolId = -1;
$setting->config->loadConfiguration(SC_MULTISELECT);
$setting->config->separator = ',';
$setting->config->items = array(
  KURZ_DOZENT => \ToolsAPI::getBezeichnungPluralForKurzBez(KURZ_DOZENT),
  KURZ_TEILNEHMER => \ToolsAPI::getBezeichnungPluralForKurzBez(KURZ_TEILNEHMER),
  KURZ_FIRMA => \ToolsAPI::getBezeichnungPluralForKurzBez(KURZ_FIRMA),
  KURZ_HAUSMEISTER => \ToolsAPI::getBezeichnungPluralForKurzBez(KURZ_HAUSMEISTER),
  KURZ_MITARBEITER => \ToolsAPI::getBezeichnungPluralForKurzBez(KURZ_MITARBEITER),
  KURZ_VERANSTALTER => \ToolsAPI::getBezeichnungPluralForKurzBez(KURZ_VERANSTALTER)
);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'hint4Login';
$setting->description = 'Zusätzlicher Hinweis';
$setting->help = 'Ist das Feld leer, wird kein zusätzlicher Hinweis ausgegeben. Ansonsten wird der hier eingetragene Text angezeigt.'
  . ' Eine Eingabe von Links ist hier auch möglich; z.B. &lt;a href="http://www.meine-domain.de/index.php?id=xy#Marker"&gt;MeinLink&lt;/a&gt;.';
$setting->subGroup = 'Formular zur Anforderung eines neuen Logins:';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_TEXTBOX);
$setting->config->size = 8;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'needAdress4Login';
$setting->description = 'Adressdaten als Pflichfelder anzeigen';
$setting->help = 'Ist dieser Haken gesetzt, so werden  die Adressdaten - Postleitzahl, Straße und Ort - im Login-Formular'
  . ' als Pflichtfelder angezeigt und erscheinen auch in der E-Mail an die dort angegebene Mail-Adresse.';
$setting->subGroup = 'Formular zur Anforderung eines neuen Logins:';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'dseZustimmung4Login';
$setting->description = 'Zustimmung zum Datenschutz erforderlich';
$setting->help = 'Ist dieser Haken gesetzt, so wird eine Checkbox angezeigt, welche angehakt sein muss, um das Formular absenden zu können.';
$setting->subGroup = 'Formular zur Anforderung eines neuen Logins:';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'dseZustimmungLink4Login';
$setting->description = 'Link zur Datenschutzerklärung';
$setting->subGroup = 'Formular zur Anforderung eines neuen Logins:';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_TEXTNORMAL);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'freiesPflichtfeldZustimmung4Login';
$setting->description = 'Zustimmung zum frei wählbaren Pflichtfeld erforderlich';
$setting->help = 'Ist dieser Haken gesetzt, so wird eine Checkbox angezeigt, welche angehakt sein muss, um das Formular absenden zu können.';
$setting->subGroup = 'Formular zur Anforderung eines neuen Logins:';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'freiesPflichtfeldZustimmungText4Login';
$setting->description = 'Text des frei wählbaren Pflichtfelds (HTML)';
$setting->subGroup = 'Formular zur Anforderung eines neuen Logins:';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_TEXTBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'dozAutoLogin';
$setting->description = 'Dozentenlogins automatisch anlegen';
$setting->help = '<p>Die Dozentenlogins werden nicht per E-Mail angefordert, sondern automatisch angelegt.</p> '
  . '<p>Falls ein Dozent mit gleichem Namen, Vornamen und E-Mail-Adresse angelegt ist, wird dem das neue Login zugeordnet. Ansonsten wird ein neuer Dozent angelegt.</p> '
  . '<p>Achtung: Die DMZ-Betriebsart wird vorausgesetzt.</p>';
$setting->subGroup = 'Logins automatisch erstellen:';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'tnAutoLogin';
$setting->description = 'Teilnehmerlogins automatisch anlegen';
$setting->help = '<p>Die Teilnehmerlogins werden nicht per E-Mail angefordert, sondern automatisch angelegt.</p> '
  . '<p>Falls ein Teilnehmer mit gleichem Namen, Vornamen und E-Mail-Adresse angelegt ist, wird dem das neue Login zugeordnet. Ansonsten wird ein neuer Teilnehmer angelegt.</p> '
  . '<p>Achtung: Die DMZ-Betriebsart wird vorausgesetzt.</p>';
$setting->subGroup = 'Logins automatisch erstellen:';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'dozAutoLoginNeueDozDirektAnlegen';
$setting->description = 'Anlegen eines neuen Dozenten beim automatischen Login erlauben';
$setting->help = '<p>Ist diese Option aktiviert, werden neue Dozenten direkt angelegt und ihnen ein Login zugewiesen, '
  . 'ansonsten wird nur eine E-Mail an die Einrichtung mit den Dozentendaten geschickt.</p>';
$setting->subGroup = 'Logins automatisch erstellen:';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'tnAutoLoginNeueTnDirektAnlegen';
$setting->description = 'Anlegen eines neuen Teilnehmers beim automatischen Login erlauben';
$setting->help = '<p>Ist diese Option aktiviert, werden neue Teilnehmer direkt angelegt und ihnen ein Login zugewiesen, '
  . 'ansonsten wird nur eine E-Mail an die Einrichtung mit den Teilnehmerdaten geschickt.</p>';
$setting->subGroup = 'Logins automatisch erstellen:';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);